# -*- coding: utf-8 -*-
from setuphelpers import *


# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
appdir = makepath(programfiles, "VidyoWeb")


def install():
    # Declaring local variables

    # Installing the software
    print("Installing: %s" % control.package)
    mkdirs(appdir)
    filecopyto(
        "VidyoWeb-win32-1.0.3.00060.msi",
        appdir,
    )


def uninstall():
    remove_tree(appdir)


def session_setup():
    install_msi_if_needed(makepath(appdir, "VidyoWeb-win32-1.0.3.00060.msi"))
